/*i am so sorry for how disorganized this css sheet is. im so bad at keeping them organized. */
* {
  box-sizing: border-box;
}

.rubik {
  font-family: "Rubik", Arial, sans-serif;
  font-weight: normal;
  font-style: normal;
}

body {
  background-color: black;
  font-family: "Rubik", Arial, sans-serif;
}

a:link{
  color: orchid;
}

a:visited {
  color: darkorchid;
}

.container {
  display: grid;
  grid-template-columns: repeat(12, [col-start] 1fr);
  /*make 12 columns. grid line named col-start. 1 fraction of the total available space in the grid container; so they're all gonna be equal width for now*/
  gap: 10px;
  background-color: #0e0e0e;
  max-width: 1200px;
  margin: auto;
  margin-top: 20px;
}

/*I use this on the home page*/
.inside-container {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  /* widthof the column. repeat for the number of columns you want*/
  /*1 fraction of the container four times so each one is one fourth of the width*/
  grid-template-rows: auto auto auto;
  gap: 2px
  /*considering raising this value*/
}

/*items should only exist as a child of inside-container*/
.item {
  height: 128px;
}

.itemwide {
  grid-column: span 2;
  height: 128px;
}

.itemtall {
  grid-row: span 2;
  height: 258px;
}

.item,
.itemwide,
.itemtall {
  background-color: #040404;
  border: 1px solid rgb(128, 0, 64);
  overflow: hidden; /*like this for now; if i have text i might want y scroll, but i'd want to style that*/
  position: relative;
}

.itemLabel{
  position:absolute;
  /*top: 0;
  left: 0; */
  padding: 2px;
  margin: 0;
  /*set the x and y with inline css for now*/
}

.container>* {
  border: 1px solid rgb(55, 85, 0);
  background-color: #1a1a1a;
  color: lavenderblush;
  padding: 10px;
  grid-column: col-start / span 12;
}

.container>header {
  padding-left: 40px;
}

.container>footer {
  text-align: center;
}

.homemain {
  grid-column: 3 / span 8;
}

.pagemain {
  grid-column: 2 / span 10;
}


@media (max-width: 705px) {
  .pagemain {
    grid-column: 1 / span 12;
  }

  .item,
  .itemwide{
    grid-row: span 1;
    grid-column: span 4;
    height: 128px;
  }

  .itemtall{
    grid-row: span 1;
    grid-column: span 4;
    min-height: 128px;
    height: fit-content;
  }
}

@media (max-width: 500px){
  .homemain{
    grid-column: 2 / span 10;
  }
}